Bug 1294299 - _ped.IOException: Partition(s) 3 on /dev/sda have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use. As a result, the old partition(s) will remain in use. You should reboot now before ...
_ped.IOException: Partition(s) 3 on /dev/sda have been written, but we have b...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:92fa248c04795de29c70cb7596f...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-26 11:45 EST by Ed Avis
Modified: 2016-12-20 12:24 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:24:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (2.72 MB, text/plain)
2015-12-26 11:46 EST, Ed Avis
no flags Details
File: anaconda.log (164.77 KB, text/plain)
2015-12-26 11:46 EST, Ed Avis
no flags Details
File: environ (616 bytes, text/plain)
2015-12-26 11:46 EST, Ed Avis
no flags Details
File: journalctl (1.33 MB, text/plain)
2015-12-26 11:47 EST, Ed Avis
no flags Details
File: lsblk_output (2.74 KB, text/plain)
2015-12-26 11:47 EST, Ed Avis
no flags Details
File: nmcli_dev_list (2.20 KB, text/plain)
2015-12-26 11:47 EST, Ed Avis
no flags Details
File: os_info (518 bytes, text/plain)
2015-12-26 11:47 EST, Ed Avis
no flags Details
File: program.log (263.59 KB, text/plain)
2015-12-26 11:47 EST, Ed Avis
no flags Details
File: storage.log (937.74 KB, text/plain)
2015-12-26 11:48 EST, Ed Avis
no flags Details
File: ifcfg.log (11.01 KB, text/plain)
2015-12-26 11:48 EST, Ed Avis
no flags Details

  None (edit)
Description Ed Avis 2015-12-26 11:45:52 EST
Description of problem:
I wanted to reinstall an existing Fedora 23 instance, but being unable to persuade the installer to reformat the existing root partition I manually deleted /dev/sda3 using fdisk from a command window before starting the installer.  fdisk on writing its changes did warn me that it wasn't able to update the kernel's partition table.  I started the installer anyway, asked it to delete the existing swap partition /dev/sda2 and make new swap and root partitions in the free space available.  All was OK until 'Setting up the installation environment' until this exception occurred.

Version-Release number of selected component:
anaconda-core-23.19.10-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/parted/disk.py", line 212, in commit
    return self.__disk.commit()
  File "/usr/lib64/python3.4/site-packages/parted/decorators.py", line 42, in new
    ret = fn(*args, **kwds)
  File "/usr/lib/python3.4/site-packages/blivet/formats/disklabel.py", line 253, in commit
    self.partedDisk.commit()
  File "/usr/lib/python3.4/site-packages/blivet/devices/partition.py", line 674, in _destroy
    self.disk.originalFormat.commit()
  File "/usr/lib/python3.4/site-packages/blivet/devices/storage.py", line 491, in destroy
    self._destroy()
  File "/usr/lib/python3.4/site-packages/blivet/deviceaction.py", line 363, in execute
    self.device.destroy()
  File "/usr/lib/python3.4/site-packages/blivet/actionlist.py", line 280, in process
    action.execute(callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 380, in processActions
    callbacks=callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 164, in doIt
    self.devicetree.processActions(callbacks=callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/osinstall.py", line 1096, in turnOnFilesystems
    storage.doIt(callbacks)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/install.py", line 195, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall, callbacks=callbacks_reg)
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
_ped.IOException: Partition(s) 3 on /dev/sda have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/vmlinuz-install.fc23.x86_64 iso-scan/filename=Fedora-Live-Workstation-x86_64-23-10.iso root=live:CDLABEL=Fedora-Live-WS-x86_64-23-10 rootfstype=auto ro rd.live.image rd.md=0 rd.lvm=0 rd.dm=0 rd.luks=0
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-pyparted-3.10.7-1.fc23.x86_64, python3-libs-3.4.3-5.fc23.x86_64, python3-blivet-1.12.8-1.fc23.noarch
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23

Potential duplicate: bug 1259953
Comment 1 Ed Avis 2015-12-26 11:46:47 EST
Created attachment 1109668 [details]
File: anaconda-tb
Comment 2 Ed Avis 2015-12-26 11:46:51 EST
Created attachment 1109669 [details]
File: anaconda.log
Comment 3 Ed Avis 2015-12-26 11:46:52 EST
Created attachment 1109670 [details]
File: environ
Comment 4 Ed Avis 2015-12-26 11:47:17 EST
Created attachment 1109671 [details]
File: journalctl
Comment 5 Ed Avis 2015-12-26 11:47:22 EST
Created attachment 1109672 [details]
File: lsblk_output
Comment 6 Ed Avis 2015-12-26 11:47:26 EST
Created attachment 1109673 [details]
File: nmcli_dev_list
Comment 7 Ed Avis 2015-12-26 11:47:32 EST
Created attachment 1109674 [details]
File: os_info
Comment 8 Ed Avis 2015-12-26 11:47:41 EST
Created attachment 1109675 [details]
File: program.log
Comment 9 Ed Avis 2015-12-26 11:48:01 EST
Created attachment 1109676 [details]
File: storage.log
Comment 10 Ed Avis 2015-12-26 11:48:04 EST
Created attachment 1109677 [details]
File: ifcfg.log
Comment 11 Brian Lane 2016-01-04 20:24:27 EST
It looks like it was mounted by something. Nothing we can do about that.

sda3            53687091200 root  disk  brw-rw---- |-sda3           ext4                                        d2e077b7-9103-479e-a017-5a02779a7cc0 /run/initramfs/isoscan
Comment 12 Ed Avis 2016-01-05 10:43:38 EST
I agree that nothing can be done to continue installing if the partition is mounted, but it can be handled a lot better.  Repartitioning the disk is a destructive operation and normally the installer is careful to write the changes to disk only as the last step after everything else is configured and confirmed.  But here, it goes ahead and writes the new partition table only to fail afterwards.

I suggest it should do a basic sanity check that there aren't currently mounted partitions before irrevocably writing the new partition table.  If there are current mounts then the installer should print a reasonably helpful message and exit.
Comment 13 Justin W. Flory 2016-01-29 20:35:49 EST
Another user experienced a similar problem:

I'm trying to install Fedora 23 on a System x3250... yeah... I know this might be closed just for that... but I thought better than nothing.

addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-S-23-x86_64 quiet
dnf.rpm.log:    Jan 29 20:29:02 INFO --- logging initialized ---
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
package:        anaconda-23.19.10-1
product:        Fedora
reason:         _ped.IOException: Partition(s) 8 on /dev/sdb have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.
release:        Cannot get release name.
version:        23
Comment 14 Justin W. Flory 2016-01-29 20:42:29 EST
Another user experienced a similar problem:

This may be the same bug, but not sure if another test case helps.

addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-S-23-x86_64 quiet
dnf.rpm.log:    Jan 30 01:39:12 INFO --- logging initialized ---
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
package:        anaconda-23.19.10-1
product:        Fedora
reason:         _ped.IOException: Partition(s) 7 on /dev/sdb have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.
release:        Cannot get release name.
version:        23
Comment 15 Karel Valek 2016-04-21 14:57:17 EDT
Another user experienced a similar problem:

Normally started Installation of LXDE spin on approximatelly nine years old machine (Acer TM 5730).

1) From previous unsuccessful installation, did custom partitioning
2) Used Standard partition for both / and /home mountpoints
3) Swap already configured

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-LXDE-x86_64-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64, python3-blivet-1.12.8-1.fc23.noarch, python3-pyparted-3.10.7-1.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         _ped.IOException: Partition(s) 3 on /dev/sda have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 16 Fedora End Of Life 2016-11-24 09:31:47 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 12:24:01 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.